## Description: Make genisoimage more flexible.
##   For currently version of live build, the image has been built without the support of uefi boot,
##   so I will like to upstream a patch which using by OEM team which extended an extra option for mkisoimage.
## Origin/Author: Hugh Chao (hugh.chao@canonical.com)
## Bug: https://bugs.launchpad.net/oem-priority/+bug/1864426
Index: live-build/scripts/build/lb_binary_iso
===================================================================
--- live-build.orig/scripts/build/lb_binary_iso
+++ live-build/scripts/build/lb_binary_iso
@@ -203,6 +203,8 @@ fi
 
 cat >> binary.sh << EOF
 
+# neon switched to xorriso in 2016 which diverges from Ubuntu, TODO check if it can be switched back
+# genisoimage ${GENISOIMAGE_OPTIONS} ${GENISOIMAGE_OPTIONS_EXTRA} -o ${IMAGE} binary
 xorriso ${XORRISO_OPTIONS} -o ${IMAGE} binary
 EOF
 
Index: live-build/scripts/build/lb_config
===================================================================
--- live-build.orig/scripts/build/lb_config
+++ live-build/scripts/build/lb_config
@@ -1107,6 +1107,7 @@ APT_OPTIONS="${APT_OPTIONS}"
 APTITUDE_OPTIONS="${APTITUDE_OPTIONS}"
 GZIP_OPTIONS="${GZIP_OPTIONS}"
 ISOHYBRID_OPTIONS="${ISOHYBRID_OPTIONS}"
+GENISOIMAGE_OPTIONS_EXTRA="${GENISOIMAGE_OPTIONS_EXTRA}"
 EOF
 
 # Creating lb_bootstrap_* configuration
